# Copyright (C) 2020-2023 Stephan Kreutzer
#
# This file is part of hyperdex_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# hyperdex_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# hyperdex_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with hyperdex_1. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Usage:
messageParameterList = job-file result-info-file
messageResultInfoFileCantGetCanonicalPath = Can''t get canonical path of result information file "{0}".
messageResultInfoPathIsntAFile = Result information path "{0}" exists already but doesn''t reference a file.
messageResultInfoFileIsntWritable = Result information file "{0}" isn''t writable.
messageJobFileCantGetCanonicalPath = Can''t get canonical path of the job file "{0}".
messageJobFileDoesntExist = Job file "{0}" doesn''t exist.
messageJobPathIsntAFile = Job path "{0}" isn''t a file.
messageJobFileIsntReadable = Job file "{0}" isn''t readable.
messageCallDetails = Called with job file "{0}" and result information file "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in job file "{0}" is missing its "{2}" attribute.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" in job file "{0}" configured more than once.
messageInputFileCantGetCanonicalPath = Can''t get canonical path of the input file "{0}" as specified in job file "{1}".
messageJobFileInputFileDoesntExist = Input file "{1}", configured in job file "{0}", doesn''t exist.
messageJobFileInputPathIsntAFile = Input file path "{1}", configured in job file "{0}", isn''t a file.
messageJobFileInputFileIsntReadable = Input file "{1}", configured in job file "{0}", isn''t readable.
messageOutputFileCantGetCanonicalPath = Can''t get canonical path of the output file "{0}" as specified in job file "{1}".
messageOutputFileExists = The output file "{0}" as specified in job file "{1}" exists already.
messageJobFileErrorWhileReading = An error occurred while reading job file "{0}".
messageJobFileOutputFileIsntConfigured = No output file configured in job file "{0}".
messageInputFileErrorWhileReading = An error occurred while reading input file "{0}".
messageDuplicateNodeId = Duplicate node ID "{0}" encountered.
messageDuplicateNodeIdInEstablishingDimension = Node with ID "{1}" is entered twice into establishing dimension "{0}".
messageNoEstablishingDimensionStartNode = Establishing dimension "{0}" doesn''t have a first, starting node.
messageNodeMissingInEstablishingDimension = Node with ID "{1}" is missing in establishing dimension "{0}", but should be present.
messageEdgeIsConnectingANodeToItself = An edge is connecting the node with ID "{0}" to itself.
messageEdgeIsReferencingASourceNodeWhichDoesntExist = An edge is referencing a source node with the ID "{0}" which doesn''t exist.
messageEdgeIsReferencingATargetNodeWhichDoesntExist = An edge is referencing a target node with the ID "{0}" which doesn''t exist.
messageNodeWithoutEdgeOtherThanItsEstablishingDimension = The node with ID "{0}" and value "{1}" is not connected by any edge to a dimension other than its establishing dimension "{2}".
messageUnknownMode = Unknown mode "{0}".
messageUnknownAxis = Change of unknown axis "{0}".
messageUnknownMenuCommand = Unknown menu command "{0}".
guiNewNodeDuplicateConfirmationMessage = A node with this value exists already.\nDo you want to create a duplicate anyway?
guiNewNodeDuplicateConfirmationDialogTitle = Duplicate node value
messageUnknownNodeMoveDirection = Unknown node move direction "{0}".
messageUnknownEdgeMoveDirection = Unknown edge move direction "{0}".
messageCurrentNodeYMissingInConnections = Currently selected node "{0}" on the y-axis is missing in the list of connections.
messageRemoveConnectionDidntFindCurrentDimensionXInConnectionsOfCurrentNodeY = Didn''t find current x-dimension "{0}" in connections of current y-node "{1}" while attempting to remove the connection.
messageRemoveConnectionDidntFindTargetNode = Didn''t find target node "{0}" on the current x-dimension "{1}" while attempting to remove the connection.
messageRemoveConnectionDidntFindCurrentDimensionYInConnectionsOfTargetNode = Didn''t find current y-dimension "{0}" in connections of target node "{1}" while attempting to remove the connection.
messageRemoveConnectionDidntFindCurrentNodeY = Didn''t find current y-node "{0}" on the current y-dimension "{1}" while attempting to remove the connection.
messageAddConnectionDidntFindTargetNodeInCurrentDimensionX = Didn''t find target node "{0}" in current x-dimension "{1}" while attempting to establish the connection.
messageAddConnectionDidntFindCurrentNodeYInCurrentDimensionY = Didn''t find current y-node "{0}" in current y-dimension "{1}" while attempting to establish the connection.
guiDialogNodeIdExistsAlreadyTitle = Aborted
guiDialogNodeIdExistsAlreadyMessage = The ID "{0}" is already in use by another node.\nIDs must remain unique. Node ID change aborted.
messageOutputFileErrorWhileWriting = An error occurred while writing to output file "{0}".
guiMenuBarFileCaption = File
guiMenuNewCaption = New
guiMenuSaveAsCaption = Save as
guiMenuBarEditCaption = Edit
guiAddDimensionCaption = Add dimension
guiRenameDimensionCaption = Rename dimension
guiAddEntryCaption = Add entry
guiMenuBarModeCaption = Mode
guiModeOptionViewCaption = View
guiModeOptionEditEdgeOrderCaption = Edit connections order
guiModeOptionEditNodesCaption = Edit nodes/connections
guiModeOptionEditNotesCaption = Edit notes
guiModeOptionEditIdsCaption = Edit IDs
guiEntryEditButtonCaption = e
guiEntryEditNoteButtonCaption = n
guiEntryEditIdButtonCaption = i
